# Uses of Class
org.eclipse.jface.viewers.StructuredSelection

Packages that use StructuredSelection
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of StructuredSelection in org.eclipse.jface.viewers

Subclasses of StructuredSelection in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`TreeSelection`
A concrete implementation of the `ITreeSelection` interface, suitable for instantiating.
Fields in org.eclipse.jface.viewers declared as StructuredSelection
Modifier and Type
Field
Description
`static final StructuredSelection`
StructuredSelection.`EMPTY`
The canonical empty selection.

## Uses of StructuredSelection in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return StructuredSelection
Modifier and Type
Method
Description
`protected StructuredSelection`
FilteredItemsSelectionDialog.`getSelectedItems()`
Returns the current selection.
Methods in org.eclipse.ui.dialogs with parameters of type StructuredSelection
Modifier and Type
Method
Description
`protected void`
FilteredItemsSelectionDialog.`handleSelected(StructuredSelection selection)`
Handle selection in the items list by updating labels of selected and unselected items and refresh the details field using the selection.